> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.brevo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.brevo.com/_mcp/server.

# GET a group details

GET https://api.brevo.com/v3/corporate/group/{id}

This endpoint allows you to retrieve a specific group’s information such as
the list of sub-organizations and the user associated with the group.

Reference: https://developers.brevo.com/reference/get-a-group-details

## Authentication

- `api-key` header (required) — The API key should be passed in the request headers as `api-key` for authentication.

## Request

### Path parameters

- `id` (string, required) — Id of the group of sub-organization

## Response

### 200

Group details

- `group` (object, optional)
  - `createdAt` (string, optional) — Group creation date
  - `groupName` (string, optional) — Name of the group
  - `id` (string, optional) — Group id
- `sub-accounts` (list of object, optional)
  - `companyName` (string, optional) — Name of the sub-account organzation
  - `createdAt` (string, optional) — Creation date of the sub-account organzation
  - `id` (long, optional) — Id of the sub-account organzation
- `users` (list of object, optional)
  - `email` (string, optional) — Email address of the user
  - `firstName` (string, optional) — First name of the user
  - `lastName` (string, optional) — Last name of the user

## Errors

### 400 Bad Request Error

bad request

- `message` (string, required) — Readable message associated to the failure
- `code` (string, optional) — Error code displayed in case of a failure

## Examples

**Response**

```json
{
  "group": {
    "createdAt": "2024-02-09T06:14:40+00:00",
    "groupName": "My group",
    "id": "5f926dba72a405440a4efc97"
  },
  "sub-accounts": [
    {
      "companyName": "My sub organization",
      "createdAt": "2024-02-09T06:14:40+00:00",
      "id": 7866556
    },
    {
      "companyName": "Your sub organization",
      "createdAt": "2024-01-05T03:11:40+00:00",
      "id": 6563051
    }
  ],
  "users": [
    {
      "email": "my-user@my-org.com",
      "firstName": "John",
      "lastName": "Smith"
    },
    {
      "email": "your-user@your-org.com"
    }
  ]
}
```

**SDK Code**

```typescript Master account_getAGroupDetails_example
import { BrevoClient } from "@getbrevo/brevo";

async function main() {
    const client = new BrevoClient({
        apiKey: "YOUR_API_KEY_HERE",
    });
    await client.masterAccount.getAGroupDetails({
        id: "id",
    });
}
main();

```

```python Master account_getAGroupDetails_example
from brevo import Brevo

client = Brevo(
    api_key="YOUR_API_KEY_HERE",
)

client.master_account.get_a_group_details(
    id="id",
)

```

```php Master account_getAGroupDetails_example
<?php

namespace Example;

use Brevo\Brevo;

$client = new Brevo(
    apiKey: 'YOUR_API_KEY_HERE',
);
$client->masterAccount->getAGroupDetails(
    'id',
);

```

```go Master account_getAGroupDetails_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.brevo.com/v3/corporate/group/id"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Master account_getAGroupDetails_example
require 'uri'
require 'net/http'

url = URI("https://api.brevo.com/v3/corporate/group/id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Master account_getAGroupDetails_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.brevo.com/v3/corporate/group/id")
  .header("api-key", "<apiKey>")
  .asString();
```

```csharp Master account_getAGroupDetails_example
using RestSharp;

var client = new RestClient("https://api.brevo.com/v3/corporate/group/id");
var request = new RestRequest(Method.GET);
request.AddHeader("api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Master account_getAGroupDetails_example
import Foundation

let headers = ["api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.brevo.com/v3/corporate/group/id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```